﻿<AML>
 <Item type="Method" id="A571069CE17442D5A254F99E7FF04B05" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_GetGLDescFromGLCode
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Get GL Code and GL Description according by Account in Bill Received.
	
Hooks:
	Type:	Form	:	pop_purchase_invoice
	Event:	acc_gl_code ( onBlur )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();

function getInputByName(inputName) {
    var allFields = document.getElementsByName(inputName);
    var requiredField;
    for (var i = 0; i < allFields.length; i++) {
        if (allFields[i].tagName.toUpperCase() == "INPUT") {
            requiredField = allFields[i];
        }
    }
    return requiredField;
}

var acc_accountdetail_code = getInputByName("acc_gl_code").value;

var item = myInnovator.newItem("acc_AccountDetails", "get");
item.setProperty("acc_accountdetail_code", acc_accountdetail_code);
item = item.apply();

if (item.getItemCount() > 0) {
    var acc_accountdetail_name = item.getProperty("acc_accountdetail_name", "");
    handleItemChange("acc_gl_desc", acc_accountdetail_name);
    handleItemChange("acc_gl_code", acc_accountdetail_code);
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_GetGLDescFromGLCode</name>
 </Item>
</AML>